#CONFIG_NO_OPTIMIZATIONS=y
#CONFIG_DEBUG_OPTIMIZATIONS=y

#CONFIG_NRF_SECURITY=n

#CONFIG_AWS_ENDPOINT="atihsbpmwff8h-ats.iot.eu-north-1.amazonaws.com"
#CONFIG_AWS_THING_NAME="elimo-devkit"
#CONFIG_AWS_PUBLISH_TOPIC="elimo/data"
#CONFIG_AWS_SUBSCRIBE_TOPIC="elimo/downlink"
#CONFIG_AWS_TEST_SUITE_DQP=n

# Enable HW INFO
CONFIG_HWINFO=y

# DALI IF
CONFIG_DALIIF=y
CONFIG_ELIMO_DALILIB=y

CONFIG_ENTROPY_GENERATOR=y
CONFIG_TEST_RANDOM_GENERATOR=y
CONFIG_INIT_STACKS=y
CONFIG_HW_STACK_PROTECTION=y
CONFIG_REQUIRES_FULL_LIBC=y
CONFIG_JSON_LIBRARY=y
CONFIG_POSIX_CLOCK=y

# enable GPIO
CONFIG_GPIO=y
CONFIG_GPIO_NRFX=y
#CONFIG_NRFX_GPIOTE=y

CONFIG_NRFX_TIMER1=y
CONFIG_NRFX_TIMER2=y

# memory
CONFIG_HEAP_MEM_POOL_SIZE=4096
CONFIG_MAIN_STACK_SIZE=4096
CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE=4096

# for flash and bonding
CONFIG_FLASH=y
CONFIG_FLASH_PAGE_LAYOUT=y
CONFIG_FLASH_MAP=y
CONFIG_NVS=y
CONFIG_SETTINGS=y

# Bluetooth
CONFIG_BT=y
CONFIG_BT_SMP=y
CONFIG_BT_SIGNING=y
CONFIG_BT_PERIPHERAL=y
#CONFIG_BT_PRIVACY=y
CONFIG_BT_DEVICE_NAME="ASD-GW"
CONFIG_BT_DEVICE_APPEARANCE=833
CONFIG_BT_MAX_CONN=1
CONFIG_BT_MAX_PAIRED=1
CONFIG_BT_DEVICE_NAME_DYNAMIC=y
CONFIG_BT_DEVICE_NAME_MAX=33
CONFIG_BT_SETTINGS=y
#CONFIG_BT_GATT_CLIENT=y

# Allow for large Bluetooth data packets.
#CONFIG_BT_L2CAP_TX_MTU=508
#CONFIG_BT_BUF_ACL_RX_SIZE=512
CONFIG_BT_BUF_ACL_TX_COUNT=40
#CONFIG_BT_L2CAP_TX_BUF_COUNT=40
#CONFIG_BT_BUF_ACL_TX_SIZE=508

# Enable the NUS service
CONFIG_BT_NUS=y

# AWS IoT library
#CONFIG_AWS_IOT=y
#CONFIG_AWS_IOT_CLIENT_ID_STATIC="elimo-devkit"
#CONFIG_AWS_IOT_BROKER_HOST_NAME="atihsbpmwff8h-ats.iot.eu-north-1.amazonaws.com"
#CONFIG_AWS_IOT_TOPIC_UPDATE_DELTA_SUBSCRIBE=y
#CONFIG_AWS_IOT_TOPIC_GET_ACCEPTED_SUBSCRIBE=y
#CONFIG_AWS_IOT_TOPIC_GET_REJECTED_SUBSCRIBE=y
#CONFIG_AWS_IOT_LOG_LEVEL_ERR=y
#CONFIG_AWS_IOT_LOG_LEVEL_WRN=y
#CONFIG_AWS_IOT_LOG_LEVEL_INF=n
#CONFIG_AWS_IOT_LOG_LEVEL_DBG=n